%define flavor wxpython
%define app copr-gui
Name:		%app-%flavor
Version:	0.0.1
Release:	2
Summary:	python3-copr_gui launcher
Group:		Applications/Engineering
License:	GPL-3
Source1:        favicon.ico
BuildArch:	noarch
Requires:       python3dist(copr-%flavor)
Provides:       %app
Conflicts:      %app

%description
%app-%flavor provides an launcher for python3-copr_gui.

%global _desktopdir %{_datadir}/applications
%global _iconsdir %{_datadir}/icons

%prep

%build
cat << 'EOF' > main.py
#!/usr/bin/python3
from copr_gui.generic.%flavor import launcher
launcher.main(default_icon='%{_iconsdir}/copr.ico')
EOF

cat << 'EOF' > copr.desktop
[Desktop Entry]
Encoding=UTF-8
Version=%{version}
Type=Application
Terminal=false
Exec=%{_bindir}/%app
Name=COPR Manager
Icon=%{_iconsdir}/copr.ico
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -Dm755 main.py %{buildroot}%{_bindir}/%app
install -Dm644 %{SOURCE1} %{buildroot}%{_iconsdir}/copr.ico
install -Dm644 copr.desktop %{buildroot}%{_desktopdir}/%app.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/%app
%{_iconsdir}/copr.ico
%{_desktopdir}/%app.desktop
%changelog
